## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSoundHandle Class Reference

Inheritance diagram for csSoundHandle:

[legend]
List of all members.

## Public Member Functions

virtual bool | IsStatic ()
| is this a static or streamed handle?
virtual csPtr< iSoundSource > | Play (bool Loop)
| play an instance of this sound For Loop == true it returns a iSoundSource you have to Stop () if you want to get rid of the looping sound (also if you want to unload your SoundRenderer) If Loop is false 0 is returned
virtual void | ResetStream ()
| Reset the stream to the beginning (only for streamed sound).
virtual void | StartStream (bool Loop)
| Start playing the stream (only for streamed sound).
virtual void | StopStream ()
| Stop playing the stream (only for streamed sound).

## Public Attributes

bool | ActiveStream
csRef< iSoundData > | Data
bool | LoopStream
bool | Registered

## Detailed Description

Definition at line 27 of file shdl.h.

## Member Function Documentation

virtual bool csSoundHandle::IsStatic | ( |  | ) | `[virtual]`

| is this a static or streamed handle? Implements iSoundHandle.

virtual csPtr<iSoundSource> csSoundHandle::Play | ( | bool | Loop | ) | `[virtual]`

| play an instance of this sound For Loop == true it returns a iSoundSource you have to Stop () if you want to get rid of the looping sound (also if you want to unload your SoundRenderer) If Loop is false 0 is returned Implements iSoundHandle.

virtual void csSoundHandle::ResetStream | ( |  | ) | `[virtual]`

| Reset the stream to the beginning (only for streamed sound). Implements iSoundHandle.

virtual void csSoundHandle::StartStream | ( | bool | Loop | ) | `[virtual]`

| Start playing the stream (only for streamed sound). Implements iSoundHandle.

virtual void csSoundHandle::StopStream | ( |  | ) | `[virtual]`

| Stop playing the stream (only for streamed sound). Implements iSoundHandle.

The documentation for this class was generated from the following file:

- csplugincommon/soundrenderer/shdl.h